<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:49:58 CEST 2020 -->
<title>StatelessHardware</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StatelessHardware";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StatelessHardware.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html" target="_top">Frames</a></li>
<li><a href="StatelessHardware.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents</div>
<h2 title="Interface StatelessHardware" class="title">Interface StatelessHardware</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.DependableComponent">DependableComponent</a>, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StatelessHardwareImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl">StatelessHardwareImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">StatelessHardware</span>
extends <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.DependableComponent">DependableComponent</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Stateless Hardware</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 obsolete, see SimpleStochasticBehaviour
 <!-- end-model-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--"><code><em>Prob Perm Fault</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--"><code><em>Repair Delay</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--"><code><em>Fault Occ</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware--"><code>StateBasedComponentsPackage.getStatelessHardware()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--">getFaultOcc</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Fault Occ</b></em>' attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--">getProbPermFault</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Prob Perm Fault</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--">getRepairDelay</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Repair Delay</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setFaultOcc-java.lang.String-">setFaultOcc</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--"><code><em>Fault Occ</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setProbPermFault-java.lang.String-">setProbPermFault</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--"><code><em>Prob Perm Fault</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setRepairDelay-java.lang.String-">setRepairDelay</a></span>(java.lang.String&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--"><code><em>Repair Delay</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.DependableComponent.DependableComponent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.DependableComponent.<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.DependableComponent">DependableComponent</a></h3>
<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#getBase_Component--">getBase_Component</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#getErrorModel--">getErrorModel</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#setBase_Component-org.eclipse.uml2.uml.Component-">setBase_Component</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/DependableComponent/DependableComponent.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProbPermFault--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProbPermFault</h4>
<pre>java.lang.String&nbsp;getProbPermFault()</pre>
<div class="block">Returns the value of the '<em><b>Prob Perm Fault</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Prob Perm Fault</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Prob Perm Fault</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setProbPermFault-java.lang.String-"><code>setProbPermFault(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_ProbPermFault--"><code>StateBasedComponentsPackage.getStatelessHardware_ProbPermFault()</code></a></dd>
</dl>
</li>
</ul>
<a name="setProbPermFault-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProbPermFault</h4>
<pre>void&nbsp;setProbPermFault(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--"><code><em>Prob Perm Fault</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Prob Perm Fault</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--"><code>getProbPermFault()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRepairDelay</h4>
<pre>java.lang.String&nbsp;getRepairDelay()</pre>
<div class="block">Returns the value of the '<em><b>Repair Delay</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Repair Delay</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Repair Delay</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setRepairDelay-java.lang.String-"><code>setRepairDelay(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_RepairDelay--"><code>StateBasedComponentsPackage.getStatelessHardware_RepairDelay()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRepairDelay-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRepairDelay</h4>
<pre>void&nbsp;setRepairDelay(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--"><code><em>Repair Delay</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Repair Delay</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--"><code>getRepairDelay()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFaultOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFaultOcc</h4>
<pre>java.lang.String&nbsp;getFaultOcc()</pre>
<div class="block">Returns the value of the '<em><b>Fault Occ</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Fault Occ</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Fault Occ</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#setFaultOcc-java.lang.String-"><code>setFaultOcc(String)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_FaultOcc--"><code>StateBasedComponentsPackage.getStatelessHardware_FaultOcc()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFaultOcc-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setFaultOcc</h4>
<pre>void&nbsp;setFaultOcc(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--"><code><em>Fault Occ</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Fault Occ</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--"><code>getFaultOcc()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StatelessHardware.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html" target="_top">Frames</a></li>
<li><a href="StatelessHardware.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
